package com.fr.plugin.xxxxx.factory.handler;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.xxxxx.factory.util.GCMUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author fr.open
 * @Date 2021/5/5
 * @Description
 **/
public class EncodeHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/encode";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        res.setContentType("application/json;charset=UTF-8");
        String key = req.getParameter("encode");
        JSONObject object = new JSONObject();
        object.put("body", GCMUtils.encode(key));
        object.put("time", System.currentTimeMillis());
        WebUtils.printAsJSON(res, object);
    }
}
