package com.fr.plugin.xxxxx.factory;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.xxxxx.factory.dao.EncodeDao;
import com.fr.plugin.xxxxx.factory.entity.XxxxxEncodeEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2020/5/24
 **/
public class EncodeDBAccessProvider extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return XxxxxEncodeEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return EncodeDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        EncodeDBAccessProvider.dbAccessor = dbAccessor;
    }
}
